<?php
$erros = array();
$novalist = array();

$sqlconf = mysql_query("SELECT * FROM config WHERE id = 3");
$conf =  mysql_fetch_assoc($sqlconf);

$asup = $conf['sup'];
$alat = $conf['lat'];
$ainf = $conf['inf'];

$emailsite = $conf['email'];
$nomeplural = $conf['nomeplural'];
$nomesingular = $conf['nomesingular'];
$nometitulo = $conf['nometitulo'];


$datapost = array();
$datapost['captcha2'] =filter_var(trim($_SESSION['captcha']), FILTER_SANITIZE_STRING);
$datapost['captcha']  =filter_var(trim($_POST['captcha']), FILTER_SANITIZE_STRING);


if (!empty($datapost['captcha'])) {
    if (empty($datapost['captcha2']) || trim(strtolower($datapost['captcha'])) != $datapost['captcha2']) {

		$erros['captcha'] = 'Digite o código captcha corretamente';
    }   
    unset($datapost['captcha2']);
} else {

	$erros['captcha'] = 'Digite o código captcha corretamente';
}


$nome  = filter_var(trim($_POST['nome']), FILTER_SANITIZE_STRING);
$email  = filter_var(trim($_POST['email']), FILTER_SANITIZE_STRING);
$telefone  = filter_var(trim($_POST['telefone']), FILTER_SANITIZE_STRING);
$local  = filter_var(trim($_POST['local']), FILTER_SANITIZE_STRING);

$msg         = filter_var(trim($_POST['msg']), FILTER_SANITIZE_STRING);

if(empty($nome)){  $erros['nome'] = 'Digite seu nome completo';   }
if(!filter_var(trim($email), FILTER_VALIDATE_EMAIL)){  $erros['email'] = 'Digite seu email corretamente';   }
if(empty($telefone)){  $erros['telefone'] = 'Digite um telefone válido';   }
if(empty($msg)){  $erros['msg'] = 'Digite uma mensagem';   }
if(empty($local)){  $erros['local'] = 'Digite o local';   }

if(sizeof($erros)>0){

	$erros['erros'] = 1;

}else{

$erros['erros'] = 0;

$headers  = "From: $nometitulo <emailsite>\r\n"; 
$headers .= "Reply-To: emailsite\r\n"; 
$headers .= 'MIME-Version: 1.0' . "\n"; 
$headers .= 'Content-type: text/html; charset=utf8' . "\r\n"; 

/*$headers2  = "From: Água na Boca Gastrô<guia@novoguia.com.br>\r\n"; 
$headers2 .= "Reply-To: ".$email."\r\n"; 
$headers2 .= 'MIME-Version: 1.0' . "\n"; 
$headers2 .= 'Content-type: text/html; charset=utf8' . "\r\n"; */


$corpo  = "<html><body>";
$corpo  .= "<h1>Fale Conosco</h1>";
$corpo .= "<p>Olá <strong>$nome</strong>, recebemos seu contato, </p>";
$corpo .= "<p>em breve responderemos sua mensagem.</p>";
$corpo .= "<p><strong>Nome:</strong> $nome</p>";
$corpo .= "<p><strong>E-mail:</strong> $email</p>";
$corpo .= "<p><strong>Telefone:</strong> $telefone</p>";
$corpo .= "<p><strong>Local:</strong> $local</p>";

$corpo .= "<p><strong>Mensagem:</strong> $msg</p>";

$corpo .= "<p>-</p>";
$corpo .= "<p><strong>Guia $nometitulo </strong></p>";
$corpo .= "<p>Não precisa responder este email.</p>";

$corpo  .= "</body><html>";

mail($email, 'Fale Conosco - '.$nometitulo, $corpo, $headers);
mail($emailsite, 'Fale Conosco - '.$nometitulo, $corpo, $headers); 


/*
     $sendmail = smtpmailer($corpo, 'contato@aguanabocagastro.com.br', "Água na Boca Gastrô",  $email, $nome,  $email, $nome);
      $sendmail = smtpmailer($corpo, $email, "Água na Boca Gastrô", 'naoresponda@aguanabocagastro.com.br', 'Água na Boca Gastrô', 'contato@aguanabocagastro.com.br', 'Água na Boca Gastrô');
      $sendmail = smtpmailer($corpo, 'adriano@nuvon.com.br', "Água na Boca Gastrô", 'naoresponda@aguanabocagastro.com.br', 'Água na Boca Gastrô', 'contato@aguanabocagastro.com.br', 'Água na Boca Gastrô');
*/
}

echo json_encode($erros);

//HTML COMPRA PARA EMAIL



